### Method

# Phosh PluginLoader load_plugin

#### Declaration [src]

    GtkWidget*
    phosh_plugin_loader_load_plugin (
      PhoshPluginLoader* self,
      const char* name
    )

#### Description [src]

Load the given plugin.

#### Parameters

`name`

  Type: `const char*`

  The name of the plugin to load.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The plugin widget.

The returned data is owned by the instance.